/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package javax.mail;

/**
 * A data holder used by Authenticator to contain a username and password.
 *
 * @version $Rev: 126350 $ $Date: 2005-01-24 23:35:47 -0700 (Mon, 24 Jan 2005) $
 */
public final class PasswordAuthentication {
    private final String user;
    private final String password;

    public PasswordAuthentication(String user, String password) {
        this.user = user;
        this.password = password;
    }

    public String getUserName() {
        return user;
    }

    public String getPassword() {
        return password;
    }
}
